Bug 1528300 - [Docs][RFE][Metrics Install] Document Installation for RHV 4.2.0 with OCP 3.9
Summary: [Docs][RFE][Metrics Install] Document Installation for RHV 4.2.0 with OCP 3.9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Emma Heftman
QA Contact: Byron Gravenorst
URL:
Whiteboard: docs-accepted
Depends On:
Blocks: 1566134
TreeView+ depends on / blocked
 
Reported: 2017-12-21 13:47 UTC by Emma Heftman
Modified: 2019-05-30 21:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1566134 (view as bug list)
Environment:
Last Closed: 2018-06-25 13:58:57 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Emma Heftman 2017-12-21 13:47:23 UTC
Currently we have documented (for Beta 1) RHV 4.2.0 with OCP 3.6.
By RHV 4.2 GA, the OCP version will be 3.9 and there will likely be changes to the current Metrics documentation as well as updating the links in the OpenShift Guide.

Comment 1 Emma Heftman 2017-12-21 13:51:40 UTC
Hi Sarah
Can you please confirm that OpenShift 3.9 will be released in March and therefore this will be the version that the Metrics Store will run on by RHV 4.2 GA, or is it too close and therefore will not leave enough time for QE and documentation and therefore Metrics will be released on OCP 3.7?

Thanks
Emma

Comment 2 Emma Heftman 2018-04-11 15:20:00 UTC
Reducing the time estimate now that I know what is involved at the time of writing. May need to be slightly increased on depending on QE test results.

Comment 3 Lucy Bopf 2018-04-12 23:32:01 UTC
Accepting into GA program and assigning to Emma for review.

Comment 7 Emma Heftman 2018-04-16 15:29:29 UTC
Hey Byron 
Please review this MR:

https://gitlab.cee.redhat.com/rhci-documentation/docs-Red_Hat_Enterprise_Virtualization/merge_requests/945

Thanks!

Comment 16 Emma Heftman 2018-05-03 08:21:22 UTC
Hi Rich
I'm reading the OCP documentation for required ports, and if I understand correctly, we are implementing the solution described in table 7, IaaS.
If this is the case, can you please clarify whether we need to open both 80 AND 443 as we documented, or 80 OR 443 as stated in the doc [1].

[1]https://docs.openshift.com/container-platform/3.9/install_config/install/prerequisites.html#required-ports

Comment 22 Rich Megginson 2018-05-03 16:38:00 UTC
(In reply to Emma Heftman from comment #16)
> Hi Rich
> I'm reading the OCP documentation for required ports, and if I understand
> correctly, we are implementing the solution described in table 7, IaaS.
> If this is the case, can you please clarify whether we need to open both 80
> AND 443 as we documented, or 80 OR 443 as stated in the doc [1].
> 
> [1]https://docs.openshift.com/container-platform/3.9/install_config/install/
> prerequisites.html#required-ports

There are 4 ways the metrics machine can be accessed externally:

- ssh (for ansible and for login) - requires port 22
- Elasticsearch - requires port 9200
- Kibana - requires port 443
- The OpenShift UI - requires port 8443

The OpenShift documentation isn't explicit about all of these, or maybe isn't very clear.  ovirt/RHV uses OpenShift in "External to Master" (the metrics node is an all-in-one, so that means it is also an OpenShift master node), and in "IaaS Deployments" mode:

"22 TCP Required for SSH by the installer (ansible) or system administrator." - self explanatory

"80 or 443 TCP For HTTP/HTTPS use for the router. Required to be externally open on node hosts, especially on nodes running the router." - it isn't obvious, but this is for Kibana access.  We require TLS for everything, so that means port 443 - we do not use port 80.

"8443 TCP For use by the OpenShift Container Platform web console, shared with the API server." - this is for metrics users to have access to the underlying OpenShift Management UI

The final one is port 9200, for Elasticsearch, but that one is specific to the ovirt/RHV use case.

Comment 27 Emma Heftman 2018-06-25 13:58:57 UTC
This has been published in the Customer Portal: 

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/metrics_store_installation_guide/

Comment 30 Poonam Singh 2019-05-30 05:53:29 UTC
Can this link help in this case

https://www.hows.tech/2019/05/fix-error-0x80070006.html


Note You need to log in before you can comment on or make changes to this bug.